Can not install packages needed for dynv6

Both Luci-app-dynv6 and luci-app-dynv6 will not install on my system which is a Mikrotik hEX RB750Gr3 5port Ethernet Gigabit Router

root@OpenWrt:~# opkg install Luci-app-dynv6
Unknown package 'Luci-app-dynv6'.
Collected errors:

  • opkg_install_cmd: Cannot install package Luci-app-dynv6.
    root@OpenWrt:~# opkg install luci-app-dynv6
    Unknown package 'luci-app-dynv6'.
    Collected errors:
  • opkg_install_cmd: Cannot install package luci-app-dynv6.
    root@OpenWrt:~#

My /etc/os-release file is:

BlockquoteNAME="OpenWrt"
VERSION="23.05.3"
ID="openwrt"
ID_LIKE="lede openwrt"
PRETTY_NAME="OpenWrt 23.05.3"
VERSION_ID="23.05.3"
HOME_URL="https://openwrt.org/"
BUG_URL="https://bugs.openwrt.org/"
SUPPORT_URL="https://forum.openwrt.org/"
BUILD_ID="r23809-234f1a2efa"
OPENWRT_BOARD="ramips/mt7621"
OPENWRT_ARCH="mipsel_24kc"
OPENWRT_TAINTS=""
OPENWRT_DEVICE_MANUFACTURER="OpenWrt"
OPENWRT_DEVICE_MANUFACTURER_URL="https://openwrt.org/"
OPENWRT_DEVICE_PRODUCT="Generic"
OPENWRT_DEVICE_REVISION="v0"
OPENWRT_RELEASE="OpenWrt 23.05.3 r23809-234f1a2efa"

This package doesn't exist in the official repo. Looks like you may need to get it from the github from this thread:

Luci-app-dynv6 is marked "For developers". Is luci-app-dynv6 the one I need?

I don't think I need any customization not need by the generic dynv6 user. Is there a way to request that a package be built and stored in a common place so that all people in the same boat with me could have access to it?